# Class CommonPumpTypes.SyringeDetails

Namespace
  adas_core.Domain.Models.Pumps

Assembly
  adas-core.Domain.dll

Represents a container for detailed information about a syringe.

    public class CommonPumpTypes.SyringeDetails

Inheritance
  object
  CommonPumpTypes.SyringeDetails

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Manufacturer

    public string? Manufacturer { get; set; }

#### Property Value

string

### Type

    public string? Type { get; set; }

#### Property Value

string

### Volume

    public CommonPumpTypes.PumpValue? Volume { get; set; }

#### Property Value

CommonPumpTypes.PumpValue